Z not supported when "Advanced Digitizing" is enabled

2018-02-19 09:10 AM - Loïc BARTOLETTI

Status: Closed

Priority: Normal

Assignee: Loïc BARTOLETTI

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26031

Description

Snapping on geometry with Z is now fixed with the PR of Paul

I have found a new problem with advanced digitizing tool.

When this tool is activated, Z snapping returns z defalut value.

Example:

Two points (EPSG:3946):

PointZ (1973856 5199413 1235)

PointZ (1974313 5202020 1234)

Create a Z linestring with advanced digitizing tool disabled:

LineStringZ (1974313 5202020 1234, 1973856 5199413 1235)

Enabled (1000 is my default Z):

LineStringZ (1974313 5202020 1000, 1973856 5199413 1000)

(maybe related with #18104)

Associated revisions

Revision 5647203a - 2019-03-04 09:09 PM - Loïc BARTOLETTI

Needs to snap point too when CadDockWidget is enabled. Fixes #18138

Revision 09c1c640 - 2019-03-04 09:09 PM - Loïc BARTOLETTI

Needs to snap point too when CadDockWidget is enabled. Fixes #18138

Revision a4f1c796 - 2019-03-04 09:09 PM - Loïc BARTOLETTI

Needs to snap point too when CadDockWidget is enabled. Fixes #18138

Revision 2a2b7a65 - 2019-03-12 05:56 PM - Loïc BARTOLETTI

Needs to snap point too when CadDockWidget is enabled. Fixes #18138
https://github.com/qgis/QGIS/pull/5823


Revision db482f90 - 2019-03-13 10:34 PM - Loïc BARTOLETTI

Needs to snap point too when CadDockWidget is enabled. Fixes #18138

Revision 6fbe8cfa - 2019-03-14 12:04 AM - Loïc BARTOLETTI

Needs to snap point too when CadDockWidget is enabled. Fixes #18138

History

#1 - 2019-02-27 09:36 AM - Loïc BARTOLETTI

- Assignee set to Loïc BARTOLETTI

- Status changed from Open to In Progress

#2 - 2019-03-09 04:34 PM - Giovanni Manghi

- Status changed from In Progress to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#3 - 2019-03-12 05:56 PM - Loïc BARTOLETTI

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|2a2b7a6532d12c45374c591990b4ba039c201baf.
